using System;
using System.Windows.Forms;
using System.Collections.Generic;
using System.Text;
using Microsoft.DirectX;

namespace DirectXEksempel07A
{
    class Model
    {
        private Engine theEngine;
        private Keys keyb;
        private Ground g;
        private Airplane ap1;

        public Keys Keyboard
        {
            get { return keyb; }
            set { keyb = value; }
        }

        public Model(Engine anEngine)
        {
            theEngine = anEngine;
            ap1 = new Airplane(theEngine.GetDevice(), new Vector3(0,5,0));
            g = new Ground(theEngine.GetDevice());
        }

        public void Render()
        {
            g.Render();
            ap1.Render();
        }
    }
}
